IPFS(8)

NAME
ipfs - saves and restores information for NAT and state tables.

SYNOPSIS
ipfs [-nv] -l

ipfs [-nv] -u

ipfs [-nv] [ -d <dirname> ] -R

ipfs [-nv] [ -d <dirname> ] -W

ipfs [-nNSv] [ -f <filename> ] -r

ipfs [-nNSv] [ -f <filename> ] -w

ipfs [-nNSv] -f <filename> -i <if1>,<if2>

DESCRIPTION

ipfs allows state information created for NAT entries and rules using keep state to be locked (modification prevented) and then saved to disk, allowing for the system to experience a reboot, followed by the restoration of that information, resulting in connections not being interrupted.

OPTIONS

-d  Change the default directory used with -R and -W options for saving state information.

-n  Don't actually take any action that would affect information stored in the kernel or on disk.

-v  Provides a verbose description of what's being done.

-i <ifname1>,<ifname2>
    Change all instances of interface name ifname1 in the state save file to ifname2. Useful if you're restoring state information after a hardware reconfiguration or change.

-N  Operate on NAT information.

-S  Operate on filtering state information.

-u  Unlock state tables in the kernel.

-l  Lock state tables in the kernel.

-r  Read information in from the specified file and load it into the kernel. This requires the state tables to have already been locked and does not change the lock once complete.

-w  Write information out to the specified file and from the kernel. This requires the state tables to have already been locked and does not change the lock once complete.

-R  Restores all saved state information, if any, from two files, ipstate.ipf and ipnat.ipf, stored in the /var/db/ipf directory unless otherwise specified by the -d option. The state tables are locked at the beginning of this operation and unlocked once complete.

-W  Saves in-kernel state information, if any, out to two files, ipstate.ipf and ipnat.ipf, stored in the /var/db/ipf directory unless otherwise specified by the -d option. The state tables are locked at the beginning of this operation and unlocked once complete.

FILES
/var/db/ipf/ipstate.ipf
/var/db/ipf/ipnat.ipf
/dev/ipl
/dev/ipstate
/dev/ipnat

SEE ALSO
ipf(8), ipl(4), ipmon(8), ipnat(8)

DIAGNOSTICS

Perhaps the -W and -R operations should set the locking but rather than undo it, restore it to what it was previously. Fragment table information is currently not saved.

BUGS

If you find any, please send email to me at darrenr@pobox.com